package com.yidianling.ydlcommon.custom.http.api;

import com.yidianling.ydlcommon.custom.http.BaseCommand;

/**
 * Created by hgw on 2018/1/23.
 */

public class Command {

    /**
     * 支付
     */
    //余额支付
    public static class Pay extends BaseCommand {

        public String payId;

        public Pay(String payId) {
            super();
            this.payId = payId;
        }

    }


    //微信在线支付
    public static class WXPay extends BaseCommand {

        public String payId;
        public String type;

        public WXPay(String payId) {
            super();
            this.payId = payId;
            this.type = "wxapp";
        }

    }

    //获取充值单号（微信的payid to 支付宝的payid）
    public static class GetRecharge extends BaseCommand {

        public String payId;
        public String type;

        public GetRecharge(String payId) {
            super();
            this.payId = payId;
            this.type = "aliapp";
        }

    }

    //获得充值单号
    public static class GetRechargeId extends BaseCommand {

        public String money;

        public GetRechargeId(String money) {
            this.money = money;
        }

    }

    //获取微信充值参数
    public static class GetWxRecharge extends BaseCommand {

        public String rechargeId;

        public GetWxRecharge(String rechargeId) {
            super();
            this.rechargeId = rechargeId;
        }

    }


    //全局配置
    public static class GetGlobalInfo extends BaseCommand {

        public GetGlobalInfo() {
            super();
        }

    }

    //设置推送的channelId
    public static class SetChannelId extends BaseCommand {

        public String channelId;
        public String type;

        public SetChannelId(String channelId) {
            this.channelId = channelId;
            this.type = "android";
        }

        public String toString() {
            return "SetChannelId{" +
                    "uid='" + uid + '\'' +
                    ", accessToken='" + accessToken + '\'' +
                    ", channelId='" + channelId + '\'' +
                    ", type='" + type + '\'' +
                    '}';
        }

    }

    //强制更新埋点
    public static class APPWillUp extends BaseCommand {
        public int ostype;

        public APPWillUp(int ostype) {
            this.ostype = ostype;
        }

    }

    /**
     * 提交订单
     */
    public static class SubmitOrder extends BaseCommand {

        public String product_id;//	产品服务id
        public String spec_id;//	规格id
        public String name;//	客户预留姓名
        public String age;//	年龄
        public String remark_user;//	备注
        public String phone;//	客户留的手机号,
        public String schedule_id;//	客户选择的预约时间对应的id
        public int total_service_num;//	服务次数
        public String coupon_id;
        public String coupon_receive_id;

        public SubmitOrder() {
        }

        public SubmitOrder(String product_id, String spec_id, String name, String age, String remark_user, String phone, String schedule_id, int total_service_num) {
            this.product_id = product_id;
            this.spec_id = spec_id;
            this.name = name;
            this.age = age;
            this.remark_user = remark_user;
            this.phone = phone;
            this.schedule_id = schedule_id;
            this.total_service_num = total_service_num;
        }
    }


    /**
     * 预约下单
     */
    public static class DownOrderData extends BaseCommand {

        public String product_id; //产品服务id

        public DownOrderData(String product_id) {
            this.product_id = product_id;
        }
    }

    public static class upLoadLoginStatus extends BaseCommand {
        public int os_type = 2;
        public String apiurl;
        public int errorCode;
        public String errorMsg;

        public upLoadLoginStatus(String apiurl, int errorCode, String errorMsg) {
            this.apiurl = apiurl;
            this.errorCode = errorCode;
            this.errorMsg = errorMsg;
        }

        public upLoadLoginStatus() {
        }
    }

    //用户最近聊天专家
    public static class RecentCmd extends BaseCommand {

        public RecentCmd() {
        }
    }

    //验证账号密码
    public static class CheckPhonePass {

        public String passwd;

        public CheckPhonePass(String passwd) {
            this.passwd = passwd;
        }

    }


    public static class CouponsCommand extends BaseCommand {
        public String price;

        public CouponsCommand(String price) {
            this.price = price;
        }
    }

}
